#!/bin/sh -x

MOUNT_POINT=/autofs

blkid | while read line; do
	DEV="`echo \"$line\" | cut -d: -f1`"
	if [ "${DEV:0:7}" == "/dev/sd" ]; then
		DEV_BLOCK="${DEV:5:3}"
		DEV_INFO="`echo \"$line\" | cut -d: -f2-`"
		for o in $DEV_INFO; do
			case "$o" in
			LABEL=*)	DEV_LABEL=${o#LABEL=};;
			UUID=*)		DEV_UUID=${o#UUID=};;
			TYPE=*)		DEV_TYPE=${o#TYPE=};;
			esac
		done
		DEV_LABEL="`echo \"$DEV_LABEL\" | sed 's/"//g'`"
		if [ -z "$DEV_LABEL" ]; then
			DEV_LABEL=Disk
		fi
		DIR="$MOUNT_POINT/$DEV_LABEL (${DEV:5})"
		rmdir "$DIR"
		while [ -d "$DIR" ]; do
			DIR="${DIR}_"
			rmdir "$DIR"
		done
		MOUNT_INFO="`cat /proc/mounts | grep \"^$DEV \" | grep \" $MOUNT_POINT\"`"
		if [ -z "$MOUNT_INFO" ]; then
			MOUNTED=0
		else
			MOUNTED=1
			#MOUNT_PATH="`echo \"$MOUNT_INFO\" | cut -d\  -f2`"
			#MOUNT_PATH="`echo -e \"$MOUNT_INFO\"`"
		fi
		mount_opts="-o rw"
		if [ $MOUNTED == 0 ];then
			mkdir "$DIR"
			if [ "`cat /sys/block/$DEV_BLOCK/removable`" == "1" ]; then
				mount_opts="$mount_opts,sync,dirsync"
			fi
			mount $mount_opts "$DEV" "$DIR"
		fi
		#mount $mount_opts "$DEV" "$DIR"
	fi
done
